# File Entity (fieldable files)

File entity provides interfaces for managing files. It also extends the core file entity, allowing files to be fieldable, grouped into types, viewed (using display modes) and formatted using field formatters. File entity integrates with a number of modules, exposing files to Views, Entity API, Token and more.

- For a full description of the module visit:
  [Project Page](https://www.drupal.org/project/file_entity).

- To submit bug reports and feature suggestions, or to track changes visit:
  [Issue Queue](https://www.drupal.org/project/issues/file_entity).


## Contents of this file

 - Requirements
 - Installation
 - Configuration
 - Maintainers


## Requirements

 - Field and File modules (Drupal core)
 - [Chaos tool suite (ctools)](https://www.drupal.org/project/ctools)


## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

 - Navigate to Administration > Extend and enable the module.


## Maintainers

 - joseph.olstad - [josepholstad](https://www.drupal.org/u/josepholstad)
 - Aaron Winborn - [aaron](https://www.drupal.org/u/aaron)
 - Arthur Foelsche - [arthurf](https://www.drupal.org/u/arthurf)
 - Sascha Grossenbacher - [Berdir](https://www.drupal.org/u/berdir)
 - Damien McKenna - [DamienMcKenna](https://www.drupal.org/u/damienmckenna)
 - Dave Reid - [Dave Reid](https://www.drupal.org/u/dave-reid)
 - Devin Carlson - [Devin Carlson](https://www.drupal.org/u/devin-carlson)
 - Drupal Media Team - [Drupal Media Team](https://www.drupal.org/u/drupal-media-team)
 - David Snopek - [dsnopek](https://www.drupal.org/u/dsnopek)
 - Duncan Sutter - [dsutter](https://www.drupal.org/u/dsutter)
 - Alex Bronstein - [effulgentsia](https://www.drupal.org/u/effulgentsia)
 - Jacob Singh - [JacobSingh](https://www.drupal.org/u/jacobsingh)
 - Jeff Mann - [JeffM2001](https://www.drupal.org/u/jeffm2001)
 - Mike Potter - [mpotter](https://www.drupal.org/u/mpotter)
 - DezsÅ‘ BiczÃ³ - [mxr576](https://www.drupal.org/u/mxr576)
 - Paris Liakos - [ParisLiakos](https://www.drupal.org/u/parisliakos)
 - Robin Barre - [robeano](https://www.drupal.org/u/robeano)
 - Janez Urevc - [slashrsm](https://www.drupal.org/u/slashrsm)
 - taran2L-1 - [taran2l-1](https://www.drupal.org/u/taran2l-1)
 - Thomas Svenson - [tsvenson](https://www.drupal.org/u/tsvenson)
 - Drupal media CI - [Drupal media CI](https://www.drupal.org/u/drupal-media-ci)
 
